# PyBEST: Pythonic Black-box Electronic Structure Tool
# Copyright (C) 2016-- The PyBEST Development Team
#
# This file is part of PyBEST.
#
# PyBEST is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# PyBEST is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
# --
"""nanobind module basis to read AO basis sets using libint2 API"""

from __future__ import annotations

import numpy as np
from numpy.typing import NDArray

from . import Basis

__all__ = ["from_coordinates", "get_nubf", "get_solid_tform_u2c"]

def from_coordinates(
    atomic_numbers: list[int],
    coordinates: list[list[float]],
    primitives: list[int],
    shell2atom: list[int],
    shell_type: list[int],
    alphas: list[float],
    contraction: list[float],
) -> Basis:
    """Read basis set from coordinates"""

def get_nubf(basis: Basis, solid: bool) -> int:
    """Return number of uncontracted basis functions"""

def get_solid_tform_u2c(
    basis: Basis, out: NDArray[np.float64], ncbf: int, nubf: int
) -> None:
    """Return the transformation matrix uncontracted<-->contracted"""
