# PyBEST: Pythonic Black-box Electronic Structure Tool
# Copyright (C) 2016-- The PyBEST Development Team
#
# This file is part of PyBEST.
#
# PyBEST is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# PyBEST is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
# --
"""Sapt core module with sapt utils routines"""

from __future__ import annotations

import numpy as np
from numpy.typing import NDArray

__all__ = ["get_amplitudes"]

def get_amplitudes(
    t_rsab: NDArray[np.float64],
    t_ra: NDArray[np.float64],
    t_sb: NDArray[np.float64],
    en_occ_a: NDArray[np.float64],
    en_virt_a: NDArray[np.float64],
    en_occ_b: NDArray[np.float64],
    en_virt_b: NDArray[np.float64],
    nocc_a: int,
    nocc_b: int,
    nvirt_a: int,
    nvirt_b: int,
) -> None:
    """Returns SAPT uncoupled restricted theory denominators used in amplitudes"""
