# PyBEST: Pythonic Black-box Electronic Structure Tool
# Copyright (C) 2016-- The PyBEST Development Team
#
# This file is part of PyBEST.
#
# PyBEST is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 3
# of the License, or (at your option) any later version.
#
# PyBEST is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, see <http://www.gnu.org/licenses/>
# --
"""PyTransform module with explicit transformation schemes"""

from __future__ import annotations

import numpy as np
from numpy.typing import NDArray

__all__ = [
    "apply_four_index_transform_cpp",
    "apply_four_index_transform_cpp_chol",
]

def apply_four_index_transform_cpp(
    inp1: NDArray[np.float64],
    inp2: NDArray[np.float64],
    out: NDArray[np.float64],
) -> None:
    """Perform 4-index transform of dense object"""

def apply_four_index_transform_cpp_chol(
    inp1: NDArray[np.float64],
    inp2: NDArray[np.float64],
    out: NDArray[np.float64],
) -> None:
    """Perform 4-index transform of Cholesky object"""
